<template>
  <div v-show="show" data-testid="deleteModalContainer" @click.self="closeModal"
    class="bg-gray-900 bg-opacity-50 fixed inset-0 z-10 overflow-y-auto flex min-h-full items-end justify-center p-4 text-center sm:items-center sm:p-0">
    <div class="bg-white px-4 pb-4 pt-5 sm:p-6 sm:pb-4 rounded">
      <div class="sm:flex sm:items-start">
        <div class="mt-3 text-center sm:ml-4 sm:mt-0 sm:text-left">
          <h3 class="text-base font-semibold leading-6 text-gray-900">Delete post</h3>
          <div class="mt-2">
            <p class="text-sm text-gray-500">Are you sure you want to delete this post?</p>
          </div>
        </div>
        <div class="bg-gray-50 px-4 py-3 sm:flex sm:flex-row-reverse sm:px-6">
          <button type="button"
            class="inline-flex w-full justify-center rounded-md bg-red-600 px-3 py-2 text-sm font-semibold text-white shadow-sm hover:bg-red-500 sm:ml-3 sm:w-auto"
            data-testid="btnModalDelete" @click="deletePost">Delete</button>
          <button type="button"
            class="mt-3 inline-flex w-full justify-center rounded-md bg-white px-3 py-2 text-sm font-semibold text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 hover:bg-gray-50 sm:mt-0 sm:w-auto"
            data-testid="btnCancel" @click="closeModal" ref="cancelButtonRef">Cancel</button>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "DeleteModal",
  props: ["show"],
  methods: {
    closeModal() {
      // emit the method to the component's parent
      this.$emit('close');
    },
    deletePost() {
      this.$emit('delete');
    }
  }
}

</script>